# pytest-REANA

[![image](https://img.shields.io/pypi/pyversions/pytest-reana.svg)](https://pypi.org/pypi/pytest-reana)
[![image](https://github.com/reanahub/pytest-reana/workflows/CI/badge.svg)](https://github.com/reanahub/pytest-reana/actions)
[![image](https://readthedocs.org/projects/pytest-reana/badge/?version=latest)](https://pytest-reana.readthedocs.io/en/latest/?badge=latest)
[![image](https://codecov.io/gh/reanahub/pytest-reana/branch/master/graph/badge.svg)](https://codecov.io/gh/reanahub/pytest-reana)
[![image](https://img.shields.io/badge/discourse-forum-blue.svg)](https://forum.reana.io)
[![image](https://img.shields.io/github/license/reanahub/pytest-reana.svg)](https://github.com/reanahub/pytest-reana/blob/master/LICENSE)
[![image](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

## About

pytest-REANA is a component of the [REANA](http://www.reana.io/) reusable and
reproducible research data analysis platform. It provides pytest fixtures and test
utilities.

## Features

- pytest fixtures
- mocking OpenAPI client with request format validation
- mocking Advanced Message Queuing Protocol consumers and producers
- mocking Celery tasks
- mocking file system workspace access
- mocking database access
- includes sample workspace directory

## Usage

The detailed information on how to install and use REANA can be found in
[docs.reana.io](https://docs.reana.io).

## Useful links

- [REANA project home page](http://www.reana.io/)
- [REANA user documentation](https://docs.reana.io)
- [REANA user support forum](https://forum.reana.io)
- [pytest-REANA releases](https://pytest-reana.readthedocs.io/en/latest#changes)
- [pytest-REANA developer documentation](https://pytest-reana.readthedocs.io/)
- [pytest-REANA known issues](https://github.com/reanahub/pytest-reana/issues)
- [pytest-REANA source code](https://github.com/reanahub/pytest-reana)
